Skip to main content
GET
/
api
/
v1
/
transcripts
/
calls
Fetch all calls
curl --request GET \
  --url 'https://api.benzinga.com/api/v1/transcripts/calls?token='
import requests

url = "https://api.benzinga.com/api/v1/transcripts/calls?token="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.benzinga.com/api/v1/transcripts/calls?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "call_id": "694bf432dd7f23000124626c",
      "call_title": "Aritzia achieves record $1 billion revenue, driven by digital growth and boutique expansion",
      "description": "Q1 2026 Aritzia (ATZ) Earnings Conference Call",
      "webcast_url": "https://events.q4inc.com/attendee/476349537",
      "headline": "Aritzia posts 43% revenue growth to $1.04 billion in Q3, fueled by strong U.S. e-commerce and strategic boutique openings",
      "symbol": "ATZ",
      "exchange": "TSX",
      "figis": [
        "BBG00DR7R5L2"
      ],
      "name": "Aritzia",
      "start_time": "2026-01-08T21:29:03Z",
      "end_time": "2026-01-09T13:00:13Z",
      "duration": 0,
      "status": "COMPLETED",
      "created_at": "2026-01-08T21:29:03.225054Z",
      "updated_at": "2026-01-09T13:00:31.632952Z",
      "transcripts": [
        {
          "transcript_id": "053c48c4-17f2-48a8-8216-68513c5c54c2",
          "text": "Thank you for standing by this is the conference operator .. day you may now disconnect your lines",
          "language": "en-US",
          "confidence_score": 0.41074312812500047,
          "segments": null,
          "type": "LIVE"
        },
        {
          "transcript_id": "c10f465c-f09e-4661-b029-c1092b2b9d40",
          "text": "Thank you for standing by... Thank you for joining and have a pleasant day. You may now disconnect your lines.",
          "language": "en-US",
          "confidence_score": 0.9678800193700792,
          "segments": null,
          "type": "NON_LIVE"
        }
      ],
      "securities": [
        {
          "figi": "BBG00DR7R5N0",
          "isin": "CA04045U1021",
          "name": "ARITZIA INC-SUBORDINATE VOTI",
          "symbol": "ATZ",
          "mic_code": "XTSE",
          "figi_composite": "BBG00DR7R5K3",
          "figi_share_class": "BBG00DR7R5L2",
          "refinitiv_exch_code": "TOR"
        }
      ]
    }
  ],
  "message": "Successfully fetched calls",
  "pagination": {
    "hits": 15686,
    "page": 1,
    "page_count": 15686,
    "page_size": 1
  }
}
{
  "ok": false,
  "errors": [
    {
      "code": "bad_request",
      "id": "invalid_parameter",
      "value": "Invalid search_keys_type parameter"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No logos found for the specified search key"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}
{
  "data": [
    {
      "call_id": "694bf432dd7f23000124626c",
      "call_title": "Aritzia achieves record $1 billion revenue, driven by digital growth and boutique expansion",
      "description": "Q1 2026 Aritzia (ATZ) Earnings Conference Call",
      "webcast_url": "https://events.q4inc.com/attendee/476349537",
      "headline": "Aritzia posts 43% revenue growth to $1.04 billion in Q3, fueled by strong U.S. e-commerce and strategic boutique openings",
      "symbol": "ATZ",
      "exchange": "TSX",
      "figis": [
        "BBG00DR7R5L2"
      ],
      "name": "Aritzia",
      "start_time": "2026-01-08T21:29:03Z",
      "end_time": "2026-01-09T13:00:13Z",
      "duration": 0,
      "status": "COMPLETED",
      "created_at": "2026-01-08T21:29:03.225054Z",
      "updated_at": "2026-01-09T13:00:31.632952Z",
      "transcripts": [
        {
          "transcript_id": "053c48c4-17f2-48a8-8216-68513c5c54c2",
          "text": "Thank you for standing by this is the conference operator .. day you may now disconnect your lines",
          "language": "en-US",
          "confidence_score": 0.41074312812500047,
          "segments": null,
          "type": "LIVE"
        },
        {
          "transcript_id": "c10f465c-f09e-4661-b029-c1092b2b9d40",
          "text": "Thank you for standing by... Thank you for joining and have a pleasant day. You may now disconnect your lines.",
          "language": "en-US",
          "confidence_score": 0.9678800193700792,
          "segments": null,
          "type": "NON_LIVE"
        }
      ],
      "securities": [
        {
          "figi": "BBG00DR7R5N0",
          "isin": "CA04045U1021",
          "name": "ARITZIA INC-SUBORDINATE VOTI",
          "symbol": "ATZ",
          "mic_code": "XTSE",
          "figi_composite": "BBG00DR7R5K3",
          "figi_share_class": "BBG00DR7R5L2",
          "refinitiv_exch_code": "TOR"
        }
      ]
    }
  ],
  "message": "Successfully fetched calls",
  "pagination": {
    "hits": 15686,
    "page": 1,
    "page_count": 15686,
    "page_size": 1
  }
}
{
  "ok": false,
  "errors": [
    {
      "code": "bad_request",
      "id": "invalid_parameter",
      "value": "Invalid search_keys_type parameter"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No logos found for the specified search key"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}

Authorizations

token
string
query
required

Query Parameters

page
integer
default:1

The page number for pagination (starts at 1)

page_size
integer
default:10

The number of items to return per page

status
string
default:COMPLETED

Filter by call status. Defaults to COMPLETED. Use ALL to return all statuses.

symbol
string

Filter by stock ticker symbol (e.g. AAPL)

from
string

Filter calls starting on or after this date (RFC3339, e.g. 2024-01-01T00:00:00)

to
string

Filter calls starting on or before this date (RFC3339, e.g. 2024-12-31T23:59:59)

sort_by
string

Field to sort results by (e.g. start_time)

share_class_figi
string

Filter by Share Class FiGi identifier (e.g. BBG000B9XRY4)

securities
boolean

If true, includes securities information in the response

info_only
boolean

If true, returns only call metadata without transcript content

filter
string

General filter; pass 'all' to bypass default status filter

Response

OK

The response is of type object.